Subject: bug#21283: global-eldoc-mode nasty with python-mode

From: Andreas Röhler <[email-masked]>
Date: Mon, 17 Aug 2015 18:02:10 +0200

GNU Emacs 25.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.24.23) of 2015-08-10

With python-mode from python.el - global-eldoc-mode is on but seems to 
have no effect - a bug probably.

With python-mode from python-mode.el - displays help-messages - which is 
to be expected but not TRT, as it takes the Python-shell again and again.

global-eldoc-mode should not on by default at this mode.